import request from '@/utils/request';
import { AxiosPromise } from 'axios';
import { IndustryQuery, IndustrySkillQuery, IndustrySkillVO, IndustryVO } from './types';

export function listIndustry(query?: IndustryQuery): AxiosPromise<IndustryVO[]> {
  return request({
    url: '/system/industry/list',
    method: 'get',
    params: query
  });
}

export function listIndustrySkill(query?: IndustrySkillQuery): AxiosPromise<IndustrySkillVO[]> {
  return request({
    url: '/system/industry/skill/list',
    method: 'get',
    params: query
  });
}
